Prism Suite System Requirements and Supported Platforms

The information in this article applies to Prism Suite®, Prism Deploy®, Prism Asset Manager®, Prism Deploy Packager, Prism Portal™, and Prism Mobile™

Microsoft Supplemental Installations

These components will be installed separately if needed. They are downloaded from the New Boundary web site during installation.

These third-party items will be included in the standard installations as noted for the individual components above.

1 DEVEXPRESS and INFRAGISTICS DLLs are required to support reporting functions.

2 CAPICOM.DLL is required to support Package authentication.

3Microsoft IIS 7, 7.5, 8, 8.5, or 10 must be installed on a Web server if you intend to use the NBTProxy Service to enable HTTP/HTTPS communication from the Prism Console or New Boundary client outside the network perimeter, to a New Boundary Channel Server inside the network perimeter. IIS installation and configuration is not part of the Prism Suite installation. Note: If you choose to install IIS 7, you must also install the IIS 6.0 management tools in order to install the NBTProxy Service. (Installing the IIS 6 management tools is a choice during installation of IIS 7.)

4The following Microsoft components are prerequisites to installing SQL Server 2008 R2 Express. They will NOT be downloaded during installation. If you plan to install SQL 2008 R2 Express as part of the Prism Suite installation (instead of using an existing SQL server), please install the prerequisites before starting the installation.